## linux-4.9.0-326-antix.1-486-smp 4.9.0-326-antix.1-486

=== drivers/char/tpm/Makefile ===
#
# Makefile for the kernel tpm device drivers.
#
obj-$(CONFIG_TCG_TPM) += tpm.o
tpm-y := tpm-interface.o tpm-dev.o tpm-sysfs.o tpm-chip.o tpm2-cmd.o
tpm-$(CONFIG_ACPI) += tpm_ppi.o

ifdef CONFIG_ACPI
	tpm-y += tpm_eventlog.o tpm_acpi.o
else
ifdef CONFIG_TCG_IBMVTPM
	tpm-y += tpm_eventlog.o tpm_of.o
endif
endif
obj-$(CONFIG_TCG_TIS_CORE) += tpm_tis_core.o
obj-$(CONFIG_TCG_TIS) += tpm_tis.o
obj-$(CONFIG_TCG_TIS_SPI) += tpm_tis_spi.o
obj-$(CONFIG_TCG_TIS_I2C_ATMEL) += tpm_i2c_atmel.o
obj-$(CONFIG_TCG_TIS_I2C_INFINEON) += tpm_i2c_infineon.o
obj-$(CONFIG_TCG_TIS_I2C_NUVOTON) += tpm_i2c_nuvoton.o
obj-$(CONFIG_TCG_NSC) += tpm_nsc.o
obj-$(CONFIG_TCG_ATMEL) += tpm_atmel.o
obj-$(CONFIG_TCG_INFINEON) += tpm_infineon.o
obj-$(CONFIG_TCG_IBMVTPM) += tpm_ibmvtpm.o
obj-$(CONFIG_TCG_TIS_ST33ZP24) += st33zp24/
obj-$(CONFIG_TCG_XEN) += xen-tpmfront.o
obj-$(CONFIG_TCG_CRB) += tpm_crb.o
obj-$(CONFIG_TCG_VTPM_PROXY) += tpm_vtpm_proxy.o

=== drivers/clk/uniphier/Makefile ===
obj-y	+= clk-uniphier-core.o
obj-y	+= clk-uniphier-fixed-factor.o
obj-y	+= clk-uniphier-fixed-rate.o
obj-y	+= clk-uniphier-gate.o
obj-y	+= clk-uniphier-mux.o
obj-y	+= clk-uniphier-sys.o
obj-y	+= clk-uniphier-mio.o
obj-y	+= clk-uniphier-peri.o

=== drivers/mtd/maps/Makefile ===
#
# linux/drivers/maps/Makefile
#

ifeq ($(CONFIG_MTD_COMPLEX_MAPPINGS),y)
obj-$(CONFIG_MTD)		+= map_funcs.o
endif

# Chip mappings
obj-$(CONFIG_MTD_CFI_FLAGADM)	+= cfi_flagadm.o
obj-$(CONFIG_MTD_DC21285)	+= dc21285.o
obj-$(CONFIG_MTD_L440GX)	+= l440gx.o
obj-$(CONFIG_MTD_AMD76XROM)	+= amd76xrom.o
obj-$(CONFIG_MTD_ESB2ROM)	+= esb2rom.o
obj-$(CONFIG_MTD_ICHXROM)	+= ichxrom.o
obj-$(CONFIG_MTD_CK804XROM)	+= ck804xrom.o
obj-$(CONFIG_MTD_TSUNAMI)	+= tsunami_flash.o
obj-$(CONFIG_MTD_PXA2XX)	+= pxa2xx-flash.o
obj-$(CONFIG_MTD_PHYSMAP)	+= physmap.o
obj-$(CONFIG_MTD_PHYSMAP_OF)	+= physmap_of.o
ifdef CONFIG_MTD_PHYSMAP_OF_VERSATILE
obj-$(CONFIG_MTD_PHYSMAP_OF)	+= physmap_of_versatile.o
endif
obj-$(CONFIG_MTD_PISMO)		+= pismo.o
obj-$(CONFIG_MTD_PMC_MSP_EVM)   += pmcmsp-flash.o
obj-$(CONFIG_MTD_PCMCIA)	+= pcmciamtd.o
obj-$(CONFIG_MTD_SA1100)	+= sa1100-flash.o
obj-$(CONFIG_MTD_SBC_GXX)	+= sbc_gxx.o
obj-$(CONFIG_MTD_SC520CDP)	+= sc520cdp.o
obj-$(CONFIG_MTD_NETSC520)	+= netsc520.o
obj-$(CONFIG_MTD_TS5500)	+= ts5500_flash.o
obj-$(CONFIG_MTD_SUN_UFLASH)	+= sun_uflash.o
obj-$(CONFIG_MTD_SCx200_DOCFLASH)+= scx200_docflash.o
obj-$(CONFIG_MTD_SOLUTIONENGINE)+= solutionengine.o
obj-$(CONFIG_MTD_PCI)		+= pci.o
obj-$(CONFIG_MTD_IMPA7)		+= impa7.o
obj-$(CONFIG_MTD_UCLINUX)	+= uclinux.o
obj-$(CONFIG_MTD_NETtel)	+= nettel.o
obj-$(CONFIG_MTD_SCB2_FLASH)	+= scb2_flash.o
obj-$(CONFIG_MTD_IXP4XX)	+= ixp4xx.o
obj-$(CONFIG_MTD_PLATRAM)	+= plat-ram.o
obj-$(CONFIG_MTD_INTEL_VR_NOR)	+= intel_vr_nor.o
obj-$(CONFIG_MTD_BFIN_ASYNC)	+= bfin-async-flash.o
obj-$(CONFIG_MTD_RBTX4939)	+= rbtx4939-flash.o
obj-$(CONFIG_MTD_VMU)		+= vmu-flash.o
obj-$(CONFIG_MTD_GPIO_ADDR)	+= gpio-addr-flash.o
obj-$(CONFIG_MTD_LATCH_ADDR)	+= latch-addr-flash.o
obj-$(CONFIG_MTD_LANTIQ)	+= lantiq-flash.o

=== arch/arm64/boot/dts/Makefile ===
dts-dirs += al
dts-dirs += altera
dts-dirs += amd
dts-dirs += amlogic
dts-dirs += apm
dts-dirs += arm
dts-dirs += broadcom
dts-dirs += cavium
dts-dirs += exynos
dts-dirs += freescale
dts-dirs += hisilicon
dts-dirs += marvell
dts-dirs += mediatek
dts-dirs += nvidia
dts-dirs += qcom
dts-dirs += renesas
dts-dirs += rockchip
dts-dirs += socionext
dts-dirs += sprd
dts-dirs += xilinx
dts-dirs += lg
dts-dirs += zte

subdir-y	:= $(dts-dirs)

dtstree		:= $(srctree)/$(src)

dtb-$(CONFIG_OF_ALL_DTBS) := $(patsubst $(dtstree)/%.dts,%.dtb, $(foreach d,$(dts-dirs), $(wildcard $(dtstree)/$(d)/*.dts)))

always		:= $(dtb-y)

=== arch/x86/crypto/sha1-mb/Makefile ===
#
# Arch-specific CryptoAPI modules.
#

OBJECT_FILES_NON_STANDARD := y

avx2_supported := $(call as-instr,vpgatherdd %ymm0$(comma)(%eax$(comma)%ymm1\
                                $(comma)4)$(comma)%ymm2,yes,no)
ifeq ($(avx2_supported),yes)
	obj-$(CONFIG_CRYPTO_SHA1_MB) += sha1-mb.o
	sha1-mb-y := sha1_mb.o sha1_mb_mgr_flush_avx2.o \
	     sha1_mb_mgr_init_avx2.o sha1_mb_mgr_submit_avx2.o sha1_x8_avx2.o
endif

## linux-4.9.0-326-antix.1-486-smp 4.9.0-326-antix.1-486-smp

=== debian/changelog ===
linux-4.9.0-326-antix.1-486-smp (4.9.0-326-antix.1-486-smp-1) buster; urgency=low

  * Custom built Linux kernel.

 -- anticapitalista <antix@operamail.com>  Sat, 27 Aug 2022 17:08:58 -0400

=== debian/control ===
Source: linux-4.9.0-326-antix.1-486-smp
Section: kernel
Priority: optional
Maintainer: anticapitalista <antix@operamail.com>
Build-Depends: bc, kmod, cpio 
Standards-Version: 3.8.4
Homepage: http://www.kernel.org/

Package: linux-image-4.9.0-326-antix.1-486-smp
Provides: linux-image, linux-image-2.6, linux-modules-4.9.0-326-antix.1-486-smp
Suggests: linux-firmware-image-4.9.0-326-antix.1-486-smp
Architecture: any
Description: Linux kernel, version 4.9.0-326-antix.1-486-smp
 This package contains the Linux kernel, modules and corresponding other
 files, version: 4.9.0-326-antix.1-486-smp.

Package: linux-headers-4.9.0-326-antix.1-486-smp
Provides: linux-headers, linux-headers-2.6
Architecture: any
Description: Linux kernel headers for 4.9.0-326-antix.1-486-smp on ${kernel:debarch}
 This package provides kernel header files for 4.9.0-326-antix.1-486-smp on ${kernel:debarch}
 .
 This is useful for people who need to build external modules

Package: linux-firmware-image-4.9.0-326-antix.1-486-smp
Architecture: all
Description: Linux kernel firmware, version 4.9.0-326-antix.1-486-smp
 This package contains firmware from the Linux kernel, version 4.9.0-326-antix.1-486-smp.

Package: linux-libc-dev
Section: devel
Provides: linux-kernel-headers
Architecture: any
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system libraries.

=== debian/rules ===
#!/usr/bin/make -f

build:
	$(MAKE)

binary-arch:
	$(MAKE) KDEB_SOURCENAME=linux-4.9.0-326-antix.1-486-smp KDEB_PKGVERSION=4.9.0-326-antix.1-486-smp-1 bindeb-pkg

clean:
	rm -rf debian/*tmp debian/files
	mv debian/ debian.backup # debian/ might be cleaned away
	$(MAKE) clean
	mv debian.backup debian

binary: binary-arch
